org.jboss.jca.core.workmanager.transport.remote.jgroups

## Class JGroupsConfiguration

- java.lang.Object
- - org.jboss.jca.core.workmanager.transport.remote.jgroups.JGroupsConfiguration

-     public class JGroupsConfiguration
      extends java.lang.Object

  A JGroupsConfiguration.
  Author:
    Stefano Maestri

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGroupsConfiguration()` Create a new JGroupsConfiguration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jgroups.JChannel` | `getChannel()` Get the channel.
    `java.lang.String` | `getConfiguration()` Get the configuration.
    `void` | `setConfiguration(java.lang.String configuration)` Set the configuration.
    `void` | `start()` Start method for bean lifecycle
    `void` | `stop()` Stop method for bean lifecycle

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGroupsConfiguration

          public JGroupsConfiguration()

      Create a new JGroupsConfiguration.

  - ### Method Detail

    - #### start

          public void start()
                     throws java.lang.Throwable

      Start method for bean lifecycle
      Throws:
        `java.lang.Throwable` - in case of error

    - #### stop

          public void stop()
                    throws java.lang.Throwable

      Stop method for bean lifecycle
      Throws:
        `java.lang.Throwable` - in case of error

    - #### getConfiguration

          public final java.lang.String getConfiguration()

      Get the configuration.
      Returns:
        the configuration.

    - #### setConfiguration

          public final void setConfiguration(java.lang.String configuration)

      Set the configuration.
      Parameters:
        `configuration` - The configuration to set.

    - #### getChannel

          public final org.jgroups.JChannel getChannel()

      Get the channel.
      Returns:
        the channel.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)